% generate data matrix
addpath('./video_airport')
initFrame=1000;
pathname=['airport',num2str(initFrame),'.bmp'];
Z1=imread(pathname);
Z1=double(uint8(round(sum(Z1,3)/3)))/255;
Z=zeros(size(Z1,1),size(Z1,2),nFrame);
Z(:,:,1)=Z1;
for j=1:nFrame-1
    pathname=['airport',num2str(initFrame+j),'.bmp'];
    Z1=imread(pathname);
    Z1=double(uint8(round(sum(Z1,3)/3)))/255;
    Z(:,:,j+1)=Z1;
end

[z1,z2,z3]=size(Z);
n1=z1*z2; n2=z3;
Z=reshape(Z,n1,n2);

clear initFrame pathname Z1

